.TH tasksh 1 2017-05-10 "tasksh 1.2.0" "User Manuals"

.SH NAME
tasksh \- Interactive taskwarrior shell

.SH SYNOPSIS
.B tasksh
.br
.B tasksh --version

.SH DESCRIPTION
Tasksh can be used to create a more immersive taskwarrior environment.
Any task command you run outside the shell can also be run inside
the shell, without the need to prefix every command with "task".

When built with libreadline, tasksh provides command editing and history.

Tasksh has an integrated 'review' command that leads you through an interactive
review session.

Tasksh supports all recent versions of Taskwarrior.

.SH COMMANDS
Tasksh supports the following commands.  All other commands are passed intact to
Taskwarrior.

.TP
.B diagnostics
Displays settings pertinent to tasksh, for diagnosing problems.

.TP
.B exec <commands>
This command allows you to run shell commands from within Tasksh. This is ideal
for accessing man pages such as this. The '!' command can be used in place of
the 'exec' keyword. Once the command is run, control returns to Tasksh.

.TP
.B exit/quit
These commands cause tasksh to terminate, returning you to your system shell.

.TP
.B help
Shows a summary of commands, and how to obtain help.

.TP
.B review [N]
Begins an interactive review session, where you can mark tasks as reviewed,
edit them using your text editor, provide modification commands, or skip them.
You can terminate a review session at any time, and the next review session
will resume at the right place.

To find tasks needing review, the '_reviewed' custom report is created and run,
which filters tasks that have a missing 'reviewed' UDA date, or have not been
reviewed for a week.

This means that if you run a review session to completion, there will be no
need to review again for a week, and the review command will simply do nothing
until then.

The one week review cycle is defined by the '_reviewed' custom report, which
can be modified if you prefer a monthly review cycle.

If 'N' is provided, the session is limited to reviewing only N tasks.

Note: requires Taskwarrior 2.5.0 or later.
For full details, see: 
<https://taskwarrior.org/docs/review.html>

.SH USAGE
Here is an example tasksh session.

$ tasksh
.br
task> projects
.br

.br
Project Tasks Pri:None Pri:L Pri:M Pri:H
.br
------- ----- -------- ----- ----- -----
.br
            7        7     0     0     0
.br
home        2        2     0     0     0
.br
party       6        3     0     0     3
.br

.br
3 projects (15 tasks)
.br
task> tags
.br

.br
Tag  Count
.br
mall     2
.br

.br
1 tag (15 tasks)
.br
task> list
.br

.br
ID Project Pri Due        Active Age   Description
.br
---------------------------------------------------------------------
.br
 2 party   H   10/17/2015        2 hrs Select and book a venue
.br
 5 party   H   10/22/2015        2 hrs Design invitations
.br
 9 home        10/31/2015         1 hr Pay rent
.br
 3 party                         2 hrs Mail invitations
.br
 4 party                         2 hrs Select a caterer
.br
 6 party                         2 hrs Print invitations
.br

.br
 8 tasks
.br
 task> quit
.br
 $
.br

.SH CONFIGURATION
Tasksh piggybacks on Taskwarrior's .taskrc configuration file, and refers
to settings there. If you use a non-standard location for your .task database
, and .taskrc file, Tasksh will not find them unless you set the TASKDATA and
TASKRC environment variables. See 'man taskrc' for more details.

The review command storeѕ a UDA ('reviewed') and report definition ('_reviewed').

.TP
.B tasksh.autoclear=1
If set to "1", causes each tasksh command to be preceded by a 'clear screen' and
cursor reset. Default is "0".

.SH "CREDITS & COPYRIGHTS"
Copyright (C) 2006 \- 2017 P. Beckingham, F. Hernandez.

This man page was originally written by Federico Hernandez.

Tasksh is distributed under the MIT license. See
http://www.opensource.org/licenses/mit-license.php for more information.

.SH SEE ALSO
.BR task(1),

For more information regarding tasksh, see the following:

.TP
The official site at
<http://taskwarrior.org/tools>

.TP
The official code repository at
<https://git.tasktools.org/scm/ex/tasksh.git>

.TP
You can contact the project by emailing
<support@tasktools.org>

.SH REPORTING BUGS
.TP
Bugs in tasksh may be reported to the issue-tracker at
<http://bug.tasktools.org>

